Bug 496722 - RuntimeError traceback in new printer dialog
RuntimeError traceback in new printer dialog
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-20 16:09 EDT by Orion Poplawski
Modified: 2009-07-22 18:07 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.1.8-6.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 18:07:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2009-04-20 16:09:15 EDT
Description of problem:

Clicking on an existing network printer in the "New Printer" dialog results in:

Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 5602, in on_tvNPDevices_cursor_changed
    physicaldevice.add_device (dev)
  File "/usr/share/system-config-printer/PhysicalDevice.py", line 61, in add_device
    raise RuntimeError
RuntimeError

Version-Release number of selected component (if applicable):
system-config-printer-1.1.7-1.fc11.x86_64

How reproducible:
Every time
Comment 1 Tim Waugh 2009-05-15 08:04:29 EDT
I think this is the same issue:
  https://fedorahosted.org/system-config-printer/ticket/161

so the fix has already been committed upstream.
Comment 2 Joachim Frieben 2009-05-17 12:50:47 EDT
Similar issue on a fresh "rawhide" install including system-config-printer-1.1.7-4.fc11.x86_64: after authenticating and adding a network printer, a second password request pops up. After entering the root password, the application aborts without having added the printer, and a traceback is appended to .xsession-errors:

Caught fatal exception.  Traceback:
File "/usr/share/system-config-printer/system-config-printer.py", line 6501, in on_btnNPApply_clicked
    device=uri, info=info, location=location)
File "/usr/share/system-config-printer/authconn.py", line 183, in <lambda>
    return lambda *args, **kwds: self._authloop (fname, fn, *args, **kwds)
File "/usr/share/system-config-printer/authconn.py", line 198, in _authloop
    result = fn.__call__ (*args, **kwds)
File "/usr/share/system-config-printer/cupspk.py", line 486, in addPrinter
    *args, **kwds)
File "/usr/share/system-config-printer/cupspk.py", line 230, in _call_with_pk_and_fallback
    debugprint ('PolicyKit call to %s did not work: %s' %
NameError: global name 'debugprint' is not defined
Exiting
Comment 3 Joachim Frieben 2009-05-17 12:56:08 EDT
(In reply to comment #2)
A downgrade to system-config-printer-1.1.6-1.fc11.x86_64 does -not- solve the issue. However, I had used s-c-p successfully only a few weeks ago.
Comment 4 Bug Zapper 2009-06-09 10:14:37 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Joachim Frieben 2009-06-14 17:24:14 EDT
For F11 w/updates as of 2009-06-14, the only workaround to install a network printer via s-c-p is to launch the latter as root from a terminal window. In this case, the 2nd authentication request which makes s-c-p crash is not required.
Comment 6 Fedora Update System 2009-06-18 13:03:04 EDT
system-config-printer-1.1.8-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/system-config-printer-1.1.8-1.fc11
Comment 7 Fedora Update System 2009-06-19 09:46:34 EDT
system-config-printer-1.1.8-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6777
Comment 8 Fedora Update System 2009-06-30 17:23:38 EDT
system-config-printer-1.1.8-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6777
Comment 9 Fedora Update System 2009-07-11 13:10:32 EDT
system-config-printer-1.1.8-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-07-20 05:24:12 EDT
system-config-printer-1.1.8-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/system-config-printer-1.1.8-6.fc11
Comment 11 Fedora Update System 2009-07-22 18:06:29 EDT
system-config-printer-1.1.8-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.